Bug 119549 - gnome-terminal displays no prompt after reset and clear
gnome-terminal displays no prompt after reset and clear
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-31 07:04 EST by Andrew Farris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:17:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Farris 2004-03-31 07:04:39 EST
Description of problem:
gnome-terminal does not re'prompt after the menu command "Terminal ->
Reset and Clear".  It is necessary to enter a blank line (which is a
valid input line.. just lacks prompt) before the prompt is correctly
displayed.

Version-Release number of selected component (if applicable):
gnome-terminal-2.5.90-1.1

How reproducible:
Always

Steps to Reproduce:
1. open gnome-terminal and enter several lines
2. Select "Terminal -> Reset and Clear" from menubar

Actual results:
no prompt is displayed immediately after "Reset and Clear"

Expected results:
prompt should be displayed for the first entered command

This behavior has been present here for a while so is not specific to
this package.
Comment 1 Andrew Farris 2004-10-22 05:26:06 EDT
Behavior still exists in 2.7.3-1 and I see no mention of this upstream, will
move the bug there.

I believe what the terminal is doing may be a literal 'reset, and then clear'
which removes all output of the prompt.  The positioning of the cursor indicates
a prompt was sent (I use a multiline prompt).
Comment 2 Ray Strode [halfline] 2005-08-31 11:17:29 EDT
Hi Andrew,

Did this ever get filed upstream?
Comment 3 John Thacker 2006-05-04 21:17:14 EDT
It probably should be filed upstream, even if it isn't yet.  I can't
find it upstream, although the behavior is still there.

Note You need to log in before you can comment on or make changes to this bug.